com.impinj.stp

## Class StpApi.DeviceExceptionEvent.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceExceptionEvent.Builder>
      - - com.impinj.stp.StpApi.DeviceExceptionEvent.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.DeviceExceptionEventOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.DeviceExceptionEvent

      public static final class StpApi.DeviceExceptionEvent.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceExceptionEvent.Builder>
      implements StpApi.DeviceExceptionEventOrBuilder

  Protobuf type `Impinj.STP.DeviceExceptionEvent` **NOT YET SUPPORTED**

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.DeviceExceptionEvent` | `build()`
    `StpApi.DeviceExceptionEvent` | `buildPartial()`
    `StpApi.DeviceExceptionEvent.Builder` | `clear()`
    `StpApi.DeviceExceptionEvent.Builder` | `clearDeviceExceptionEventType()`
    `StpApi.DeviceExceptionEvent.Builder` | `clearExceptionDetail()`
    `StpApi.DeviceExceptionEvent.Builder` | `clearTimestamp()`
    `StpApi.DeviceExceptionEvent.Builder` | `clone()`
    `StpApi.DeviceExceptionEvent` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.DeviceExceptionEventType` | `getDeviceExceptionEventType()`
    `java.lang.String` | `getExceptionDetail()`
    `com.google.protobuf.ByteString` | `getExceptionDetailBytes()`
    `StpApi.Timestamp` | `getTimestamp()`
    `StpApi.Timestamp.Builder` | `getTimestampBuilder()`
    `StpApi.TimestampOrBuilder` | `getTimestampOrBuilder()`
    `boolean` | `hasDeviceExceptionEventType()`
    `boolean` | `hasExceptionDetail()`
    `boolean` | `hasTimestamp()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.DeviceExceptionEvent.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.DeviceExceptionEvent.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.DeviceExceptionEvent.Builder` | `mergeFrom(StpApi.DeviceExceptionEvent other)`
    `StpApi.DeviceExceptionEvent.Builder` | `mergeTimestamp(StpApi.Timestamp value)`
    `StpApi.DeviceExceptionEvent.Builder` | `setDeviceExceptionEventType(StpApi.DeviceExceptionEventType value)`
    `StpApi.DeviceExceptionEvent.Builder` | `setExceptionDetail(java.lang.String value)`
    `StpApi.DeviceExceptionEvent.Builder` | `setExceptionDetailBytes(com.google.protobuf.ByteString value)`
    `StpApi.DeviceExceptionEvent.Builder` | `setTimestamp(StpApi.Timestamp.Builder builderForValue)`
    `StpApi.DeviceExceptionEvent.Builder` | `setTimestamp(StpApi.Timestamp value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceExceptionEvent.Builder>`

    - #### clear

          public StpApi.DeviceExceptionEvent.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceExceptionEvent.Builder>`

    - #### clone

          public StpApi.DeviceExceptionEvent.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceExceptionEvent.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceExceptionEvent.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.DeviceExceptionEvent getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.DeviceExceptionEvent build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.DeviceExceptionEvent buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.DeviceExceptionEvent.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.DeviceExceptionEvent.Builder>`

    - #### mergeFrom

          public StpApi.DeviceExceptionEvent.Builder mergeFrom(StpApi.DeviceExceptionEvent other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceExceptionEvent.Builder>`

    - #### mergeFrom

          public StpApi.DeviceExceptionEvent.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.DeviceExceptionEvent.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasTimestamp

          public boolean hasTimestamp()

      Specified by:
        `hasTimestamp` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### getTimestamp

          public StpApi.Timestamp getTimestamp()

      Specified by:
        `getTimestamp` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### setTimestamp

          public StpApi.DeviceExceptionEvent.Builder setTimestamp(StpApi.Timestamp value)

    - #### setTimestamp

          public StpApi.DeviceExceptionEvent.Builder setTimestamp(StpApi.Timestamp.Builder builderForValue)

    - #### mergeTimestamp

          public StpApi.DeviceExceptionEvent.Builder mergeTimestamp(StpApi.Timestamp value)

    - #### clearTimestamp

          public StpApi.DeviceExceptionEvent.Builder clearTimestamp()

    - #### getTimestampBuilder

          public StpApi.Timestamp.Builder getTimestampBuilder()

    - #### getTimestampOrBuilder

          public StpApi.TimestampOrBuilder getTimestampOrBuilder()

      Specified by:
        `getTimestampOrBuilder` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### hasDeviceExceptionEventType

          public boolean hasDeviceExceptionEventType()

      Specified by:
        `hasDeviceExceptionEventType` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### getDeviceExceptionEventType

          public StpApi.DeviceExceptionEventType getDeviceExceptionEventType()

      Specified by:
        `getDeviceExceptionEventType` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### setDeviceExceptionEventType

          public StpApi.DeviceExceptionEvent.Builder setDeviceExceptionEventType(StpApi.DeviceExceptionEventType value)

    - #### clearDeviceExceptionEventType

          public StpApi.DeviceExceptionEvent.Builder clearDeviceExceptionEventType()

    - #### hasExceptionDetail

          public boolean hasExceptionDetail()

      Specified by:
        `hasExceptionDetail` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### getExceptionDetail

          public java.lang.String getExceptionDetail()

      Specified by:
        `getExceptionDetail` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### getExceptionDetailBytes

          public com.google.protobuf.ByteString getExceptionDetailBytes()

      Specified by:
        `getExceptionDetailBytes` in interface `StpApi.DeviceExceptionEventOrBuilder`

    - #### setExceptionDetail

          public StpApi.DeviceExceptionEvent.Builder setExceptionDetail(java.lang.String value)

    - #### clearExceptionDetail

          public StpApi.DeviceExceptionEvent.Builder clearExceptionDetail()

    - #### setExceptionDetailBytes

          public StpApi.DeviceExceptionEvent.Builder setExceptionDetailBytes(com.google.protobuf.ByteString value)